%define name ku
%define version 1.1BETA5
%define release 4mdk

Summary: Kill User is a utmp base shell login utility.
Name: %{name}
Version: %{version}
Release: %{release}
Group: Monitoring
License: GPL
Url: http://www.technotronic.com/issue/ku
Source: %{name}-%{version}.tar.bz2
Buildroot: %_tmppath/%{name}-buildroot

%description
KU (KillUser) is a utmp based shell admin utility for maintaining shell
logins, based on anything from idle time, tty, user name, user group, 
user GID, if they are telnetted in, and more. 

%prep
rm -rf $RPM_BUILD_ROOT

%setup

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure

%make

%install
mkdir -p $RPM_BUILD_ROOT%_bindir
mkdir -p $RPM_BUILD_ROOT%_mandir/man1

install -m 755 source/ku $RPM_BUILD_ROOT%_bindir
install -m 644 docs/ku.1 $RPM_BUILD_ROOT%_mandir/man1/

%files
%defattr (-,root,root)
%doc COPYING README TODO VERSION CHANGELOG
%_bindir/ku
%_mandir/man1/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Aug 09 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.1BETA5-4mdk
- rebuild

* Mon Jan 15 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.1BETA5-3mdk
- rebuild

* Tue May 02 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.1BETA5-2mdk
- build release

* Tue Mar 07 2000 Lenny Cartier <lenny@mandrakesoft.com>
- mandrake build
- v1.1BETA5

* Thu Feb 11 1999 Pat Hennessy <path@magpage.com>
  [ku-1.1p2-4-1]
  - Started maintaining package.   
